Help us shape the future of Go! Take the 2026 Go Developer Survey

index

package
v0.0.2 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jan 6, 2017 License: Apache-2.0 Imports: 10 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type DeleteStartEnd

type DeleteStartEnd struct {
	Context *middleware.Context
	Handler DeleteStartEndHandler
}

DeleteStartEnd swagger:route DELETE /{start}/{end} index deleteStartEnd

DeleteStartEnd delete start end API

func NewDeleteStartEnd

func NewDeleteStartEnd(ctx *middleware.Context, handler DeleteStartEndHandler) *DeleteStartEnd

NewDeleteStartEnd creates a new http.Handler for the delete start end operation

func (*DeleteStartEnd) ServeHTTP

func (o *DeleteStartEnd) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteStartEndAccepted

type DeleteStartEndAccepted struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

DeleteStartEndAccepted Index delete started

swagger:response deleteStartEndAccepted

func NewDeleteStartEndAccepted

func NewDeleteStartEndAccepted() *DeleteStartEndAccepted

NewDeleteStartEndAccepted creates DeleteStartEndAccepted with default headers values

func (*DeleteStartEndAccepted) SetPayload

func (o *DeleteStartEndAccepted) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the delete start end accepted response

func (*DeleteStartEndAccepted) WithPayload

WithPayload adds the payload to the delete start end accepted response

func (*DeleteStartEndAccepted) WriteResponse

func (o *DeleteStartEndAccepted) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteStartEndBadRequest

type DeleteStartEndBadRequest struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
}

DeleteStartEndBadRequest invalid time range provided

swagger:response deleteStartEndBadRequest

func NewDeleteStartEndBadRequest

func NewDeleteStartEndBadRequest() *DeleteStartEndBadRequest

NewDeleteStartEndBadRequest creates DeleteStartEndBadRequest with default headers values

func (*DeleteStartEndBadRequest) SetPayload

func (o *DeleteStartEndBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete start end bad request response

func (*DeleteStartEndBadRequest) WithPayload

WithPayload adds the payload to the delete start end bad request response

func (*DeleteStartEndBadRequest) WriteResponse

func (o *DeleteStartEndBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteStartEndDefault

type DeleteStartEndDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteStartEndDefault Unexpected error

swagger:response deleteStartEndDefault

func NewDeleteStartEndDefault

func NewDeleteStartEndDefault(code int) *DeleteStartEndDefault

NewDeleteStartEndDefault creates DeleteStartEndDefault with default headers values

func (*DeleteStartEndDefault) SetPayload

func (o *DeleteStartEndDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete start end default response

func (*DeleteStartEndDefault) SetStatusCode

func (o *DeleteStartEndDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete start end default response

func (*DeleteStartEndDefault) WithPayload

func (o *DeleteStartEndDefault) WithPayload(payload *models.Error) *DeleteStartEndDefault

WithPayload adds the payload to the delete start end default response

func (*DeleteStartEndDefault) WithStatusCode

func (o *DeleteStartEndDefault) WithStatusCode(code int) *DeleteStartEndDefault

WithStatusCode adds the status to the delete start end default response

func (*DeleteStartEndDefault) WriteResponse

func (o *DeleteStartEndDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteStartEndHandler

type DeleteStartEndHandler interface {
	Handle(DeleteStartEndParams) middleware.Responder
}

DeleteStartEndHandler interface for that can handle valid delete start end params

type DeleteStartEndHandlerFunc

type DeleteStartEndHandlerFunc func(DeleteStartEndParams) middleware.Responder

DeleteStartEndHandlerFunc turns a function with the right signature into a delete start end handler

func (DeleteStartEndHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteStartEndOK

type DeleteStartEndOK struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

DeleteStartEndOK All indices in [start,end] range are no longer online.

swagger:response deleteStartEndOK

func NewDeleteStartEndOK

func NewDeleteStartEndOK() *DeleteStartEndOK

NewDeleteStartEndOK creates DeleteStartEndOK with default headers values

func (*DeleteStartEndOK) SetPayload

func (o *DeleteStartEndOK) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the delete start end o k response

func (*DeleteStartEndOK) WithPayload

func (o *DeleteStartEndOK) WithPayload(payload *models.IndiceStatus) *DeleteStartEndOK

WithPayload adds the payload to the delete start end o k response

func (*DeleteStartEndOK) WriteResponse

func (o *DeleteStartEndOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteStartEndParams

type DeleteStartEndParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*end time, unix timestamp
	  Required: true
	  In: path
	*/
	End int64
	/*Optional override of the repo pattern, must be URL encoded.
	  In: query
	*/
	RepoPattern *string
	/*Optional override of the index resolution, must be 'day', 'month', or 'year'
	  In: query
	*/
	Resolution *string
	/*start time, unix timestamp
	  Required: true
	  In: path
	*/
	Start int64
}

DeleteStartEndParams contains all the bound params for the delete start end operation typically these are obtained from a http.Request

swagger:parameters DeleteStartEnd

func NewDeleteStartEndParams

func NewDeleteStartEndParams() DeleteStartEndParams

NewDeleteStartEndParams creates a new DeleteStartEndParams object with the default values initialized.

func (*DeleteStartEndParams) BindRequest

func (o *DeleteStartEndParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type DeleteStartEndRequestRangeNotSatisfiable

type DeleteStartEndRequestRangeNotSatisfiable struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
}

DeleteStartEndRequestRangeNotSatisfiable Not all indices in given [start,end] range were found to delete or were actively being restored.

swagger:response deleteStartEndRequestRangeNotSatisfiable

func NewDeleteStartEndRequestRangeNotSatisfiable

func NewDeleteStartEndRequestRangeNotSatisfiable() *DeleteStartEndRequestRangeNotSatisfiable

NewDeleteStartEndRequestRangeNotSatisfiable creates DeleteStartEndRequestRangeNotSatisfiable with default headers values

func (*DeleteStartEndRequestRangeNotSatisfiable) SetPayload

func (o *DeleteStartEndRequestRangeNotSatisfiable) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete start end request range not satisfiable response

func (*DeleteStartEndRequestRangeNotSatisfiable) WithPayload

WithPayload adds the payload to the delete start end request range not satisfiable response

func (*DeleteStartEndRequestRangeNotSatisfiable) WriteResponse

WriteResponse to the client

type DeleteStartEndURL

type DeleteStartEndURL struct {
	End   int64
	Start int64

	RepoPattern *string
	Resolution  *string
	// contains filtered or unexported fields
}

DeleteStartEndURL generates an URL for the delete start end operation

func (*DeleteStartEndURL) Build

func (o *DeleteStartEndURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteStartEndURL) BuildFull

func (o *DeleteStartEndURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteStartEndURL) Must

func (o *DeleteStartEndURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteStartEndURL) String

func (o *DeleteStartEndURL) String() string

String returns the string representation of the path with query string

func (*DeleteStartEndURL) StringFull

func (o *DeleteStartEndURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

type GetStartEnd

type GetStartEnd struct {
	Context *middleware.Context
	Handler GetStartEndHandler
}

GetStartEnd swagger:route GET /{start}/{end} index getStartEnd

GetStartEnd get start end API

func NewGetStartEnd

func NewGetStartEnd(ctx *middleware.Context, handler GetStartEndHandler) *GetStartEnd

NewGetStartEnd creates a new http.Handler for the get start end operation

func (*GetStartEnd) ServeHTTP

func (o *GetStartEnd) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetStartEndBadRequest

type GetStartEndBadRequest struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
}

GetStartEndBadRequest invalid time range provided

swagger:response getStartEndBadRequest

func NewGetStartEndBadRequest

func NewGetStartEndBadRequest() *GetStartEndBadRequest

NewGetStartEndBadRequest creates GetStartEndBadRequest with default headers values

func (*GetStartEndBadRequest) SetPayload

func (o *GetStartEndBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get start end bad request response

func (*GetStartEndBadRequest) WithPayload

func (o *GetStartEndBadRequest) WithPayload(payload *models.Error) *GetStartEndBadRequest

WithPayload adds the payload to the get start end bad request response

func (*GetStartEndBadRequest) WriteResponse

func (o *GetStartEndBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStartEndDefault

type GetStartEndDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetStartEndDefault Unexpected error

swagger:response getStartEndDefault

func NewGetStartEndDefault

func NewGetStartEndDefault(code int) *GetStartEndDefault

NewGetStartEndDefault creates GetStartEndDefault with default headers values

func (*GetStartEndDefault) SetPayload

func (o *GetStartEndDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get start end default response

func (*GetStartEndDefault) SetStatusCode

func (o *GetStartEndDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get start end default response

func (*GetStartEndDefault) WithPayload

func (o *GetStartEndDefault) WithPayload(payload *models.Error) *GetStartEndDefault

WithPayload adds the payload to the get start end default response

func (*GetStartEndDefault) WithStatusCode

func (o *GetStartEndDefault) WithStatusCode(code int) *GetStartEndDefault

WithStatusCode adds the status to the get start end default response

func (*GetStartEndDefault) WriteResponse

func (o *GetStartEndDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStartEndHandler

type GetStartEndHandler interface {
	Handle(GetStartEndParams) middleware.Responder
}

GetStartEndHandler interface for that can handle valid get start end params

type GetStartEndHandlerFunc

type GetStartEndHandlerFunc func(GetStartEndParams) middleware.Responder

GetStartEndHandlerFunc turns a function with the right signature into a get start end handler

func (GetStartEndHandlerFunc) Handle

Handle executing the request and returning a response

type GetStartEndNotFound

type GetStartEndNotFound struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

GetStartEndNotFound Indices in the [start,end] range are available for restore but not available.

swagger:response getStartEndNotFound

func NewGetStartEndNotFound

func NewGetStartEndNotFound() *GetStartEndNotFound

NewGetStartEndNotFound creates GetStartEndNotFound with default headers values

func (*GetStartEndNotFound) SetPayload

func (o *GetStartEndNotFound) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the get start end not found response

func (*GetStartEndNotFound) WithPayload

func (o *GetStartEndNotFound) WithPayload(payload *models.IndiceStatus) *GetStartEndNotFound

WithPayload adds the payload to the get start end not found response

func (*GetStartEndNotFound) WriteResponse

func (o *GetStartEndNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStartEndOK

type GetStartEndOK struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

GetStartEndOK All indices in [start,end] range are availble and ready.

swagger:response getStartEndOK

func NewGetStartEndOK

func NewGetStartEndOK() *GetStartEndOK

NewGetStartEndOK creates GetStartEndOK with default headers values

func (*GetStartEndOK) SetPayload

func (o *GetStartEndOK) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the get start end o k response

func (*GetStartEndOK) WithPayload

func (o *GetStartEndOK) WithPayload(payload *models.IndiceStatus) *GetStartEndOK

WithPayload adds the payload to the get start end o k response

func (*GetStartEndOK) WriteResponse

func (o *GetStartEndOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStartEndParams

type GetStartEndParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*UTC end time, unix timestamp
	  Required: true
	  In: path
	*/
	End int64
	/*Optional override of the repo pattern, must be URL encoded.
	  In: query
	*/
	RepoPattern *string
	/*Optional override of the index resolution, must be 'day', 'month', or 'year'
	  In: query
	*/
	Resolution *string
	/*UTC start time, unix timestamp
	  Required: true
	  In: path
	*/
	Start int64
}

GetStartEndParams contains all the bound params for the get start end operation typically these are obtained from a http.Request

swagger:parameters GetStartEnd

func NewGetStartEndParams

func NewGetStartEndParams() GetStartEndParams

NewGetStartEndParams creates a new GetStartEndParams object with the default values initialized.

func (*GetStartEndParams) BindRequest

func (o *GetStartEndParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetStartEndPartialContent

type GetStartEndPartialContent struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

GetStartEndPartialContent Zero or more of the indices in the [start,end] range are available and ready.

swagger:response getStartEndPartialContent

func NewGetStartEndPartialContent

func NewGetStartEndPartialContent() *GetStartEndPartialContent

NewGetStartEndPartialContent creates GetStartEndPartialContent with default headers values

func (*GetStartEndPartialContent) SetPayload

func (o *GetStartEndPartialContent) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the get start end partial content response

func (*GetStartEndPartialContent) WithPayload

WithPayload adds the payload to the get start end partial content response

func (*GetStartEndPartialContent) WriteResponse

func (o *GetStartEndPartialContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStartEndRequestRangeNotSatisfiable

type GetStartEndRequestRangeNotSatisfiable struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
}

GetStartEndRequestRangeNotSatisfiable No indices are available for restore in given [start,end] range.

swagger:response getStartEndRequestRangeNotSatisfiable

func NewGetStartEndRequestRangeNotSatisfiable

func NewGetStartEndRequestRangeNotSatisfiable() *GetStartEndRequestRangeNotSatisfiable

NewGetStartEndRequestRangeNotSatisfiable creates GetStartEndRequestRangeNotSatisfiable with default headers values

func (*GetStartEndRequestRangeNotSatisfiable) SetPayload

func (o *GetStartEndRequestRangeNotSatisfiable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get start end request range not satisfiable response

func (*GetStartEndRequestRangeNotSatisfiable) WithPayload

WithPayload adds the payload to the get start end request range not satisfiable response

func (*GetStartEndRequestRangeNotSatisfiable) WriteResponse

WriteResponse to the client

type GetStartEndURL

type GetStartEndURL struct {
	End   int64
	Start int64

	RepoPattern *string
	Resolution  *string
	// contains filtered or unexported fields
}

GetStartEndURL generates an URL for the get start end operation

func (*GetStartEndURL) Build

func (o *GetStartEndURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetStartEndURL) BuildFull

func (o *GetStartEndURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetStartEndURL) Must

func (o *GetStartEndURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetStartEndURL) String

func (o *GetStartEndURL) String() string

String returns the string representation of the path with query string

func (*GetStartEndURL) StringFull

func (o *GetStartEndURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

type PostStartEnd

type PostStartEnd struct {
	Context *middleware.Context
	Handler PostStartEndHandler
}

PostStartEnd swagger:route POST /{start}/{end} index postStartEnd

PostStartEnd post start end API

func NewPostStartEnd

func NewPostStartEnd(ctx *middleware.Context, handler PostStartEndHandler) *PostStartEnd

NewPostStartEnd creates a new http.Handler for the post start end operation

func (*PostStartEnd) ServeHTTP

func (o *PostStartEnd) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PostStartEndAccepted

type PostStartEndAccepted struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

PostStartEndAccepted Index restore started

swagger:response postStartEndAccepted

func NewPostStartEndAccepted

func NewPostStartEndAccepted() *PostStartEndAccepted

NewPostStartEndAccepted creates PostStartEndAccepted with default headers values

func (*PostStartEndAccepted) SetPayload

func (o *PostStartEndAccepted) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the post start end accepted response

func (*PostStartEndAccepted) WithPayload

WithPayload adds the payload to the post start end accepted response

func (*PostStartEndAccepted) WriteResponse

func (o *PostStartEndAccepted) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostStartEndBadRequest

type PostStartEndBadRequest struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
}

PostStartEndBadRequest invalid time range provided

swagger:response postStartEndBadRequest

func NewPostStartEndBadRequest

func NewPostStartEndBadRequest() *PostStartEndBadRequest

NewPostStartEndBadRequest creates PostStartEndBadRequest with default headers values

func (*PostStartEndBadRequest) SetPayload

func (o *PostStartEndBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the post start end bad request response

func (*PostStartEndBadRequest) WithPayload

func (o *PostStartEndBadRequest) WithPayload(payload *models.Error) *PostStartEndBadRequest

WithPayload adds the payload to the post start end bad request response

func (*PostStartEndBadRequest) WriteResponse

func (o *PostStartEndBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostStartEndDefault

type PostStartEndDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostStartEndDefault Unexpected error

swagger:response postStartEndDefault

func NewPostStartEndDefault

func NewPostStartEndDefault(code int) *PostStartEndDefault

NewPostStartEndDefault creates PostStartEndDefault with default headers values

func (*PostStartEndDefault) SetPayload

func (o *PostStartEndDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the post start end default response

func (*PostStartEndDefault) SetStatusCode

func (o *PostStartEndDefault) SetStatusCode(code int)

SetStatusCode sets the status to the post start end default response

func (*PostStartEndDefault) WithPayload

func (o *PostStartEndDefault) WithPayload(payload *models.Error) *PostStartEndDefault

WithPayload adds the payload to the post start end default response

func (*PostStartEndDefault) WithStatusCode

func (o *PostStartEndDefault) WithStatusCode(code int) *PostStartEndDefault

WithStatusCode adds the status to the post start end default response

func (*PostStartEndDefault) WriteResponse

func (o *PostStartEndDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostStartEndHandler

type PostStartEndHandler interface {
	Handle(PostStartEndParams) middleware.Responder
}

PostStartEndHandler interface for that can handle valid post start end params

type PostStartEndHandlerFunc

type PostStartEndHandlerFunc func(PostStartEndParams) middleware.Responder

PostStartEndHandlerFunc turns a function with the right signature into a post start end handler

func (PostStartEndHandlerFunc) Handle

Handle executing the request and returning a response

type PostStartEndOK

type PostStartEndOK struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

PostStartEndOK All indices in [start,end] range are availble and ready.

swagger:response postStartEndOK

func NewPostStartEndOK

func NewPostStartEndOK() *PostStartEndOK

NewPostStartEndOK creates PostStartEndOK with default headers values

func (*PostStartEndOK) SetPayload

func (o *PostStartEndOK) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the post start end o k response

func (*PostStartEndOK) WithPayload

func (o *PostStartEndOK) WithPayload(payload *models.IndiceStatus) *PostStartEndOK

WithPayload adds the payload to the post start end o k response

func (*PostStartEndOK) WriteResponse

func (o *PostStartEndOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostStartEndParams

type PostStartEndParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*end time, unix timestamp
	  Required: true
	  In: path
	*/
	End int64
	/*Optional override of the repo pattern, must be URL encoded.
	  In: query
	*/
	RepoPattern *string
	/*Optional override of the index resolution, must be 'day', 'month', or 'year'
	  In: query
	*/
	Resolution *string
	/*start time, unix timestamp
	  Required: true
	  In: path
	*/
	Start int64
}

PostStartEndParams contains all the bound params for the post start end operation typically these are obtained from a http.Request

swagger:parameters PostStartEnd

func NewPostStartEndParams

func NewPostStartEndParams() PostStartEndParams

NewPostStartEndParams creates a new PostStartEndParams object with the default values initialized.

func (*PostStartEndParams) BindRequest

func (o *PostStartEndParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type PostStartEndPartialContent

type PostStartEndPartialContent struct {

	// In: body
	Payload *models.IndiceStatus `json:"body,omitempty"`
}

PostStartEndPartialContent Zero or more of the indices in the [start,end] range are available and ready.

swagger:response postStartEndPartialContent

func NewPostStartEndPartialContent

func NewPostStartEndPartialContent() *PostStartEndPartialContent

NewPostStartEndPartialContent creates PostStartEndPartialContent with default headers values

func (*PostStartEndPartialContent) SetPayload

func (o *PostStartEndPartialContent) SetPayload(payload *models.IndiceStatus)

SetPayload sets the payload to the post start end partial content response

func (*PostStartEndPartialContent) WithPayload

WithPayload adds the payload to the post start end partial content response

func (*PostStartEndPartialContent) WriteResponse

func (o *PostStartEndPartialContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostStartEndRequestRangeNotSatisfiable

type PostStartEndRequestRangeNotSatisfiable struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
}

PostStartEndRequestRangeNotSatisfiable Not all indices in given [start,end] range were found to restore.

swagger:response postStartEndRequestRangeNotSatisfiable

func NewPostStartEndRequestRangeNotSatisfiable

func NewPostStartEndRequestRangeNotSatisfiable() *PostStartEndRequestRangeNotSatisfiable

NewPostStartEndRequestRangeNotSatisfiable creates PostStartEndRequestRangeNotSatisfiable with default headers values

func (*PostStartEndRequestRangeNotSatisfiable) SetPayload

func (o *PostStartEndRequestRangeNotSatisfiable) SetPayload(payload *models.Error)

SetPayload sets the payload to the post start end request range not satisfiable response

func (*PostStartEndRequestRangeNotSatisfiable) WithPayload

WithPayload adds the payload to the post start end request range not satisfiable response

func (*PostStartEndRequestRangeNotSatisfiable) WriteResponse

WriteResponse to the client

type PostStartEndURL

type PostStartEndURL struct {
	End   int64
	Start int64

	RepoPattern *string
	Resolution  *string
	// contains filtered or unexported fields
}

PostStartEndURL generates an URL for the post start end operation

func (*PostStartEndURL) Build

func (o *PostStartEndURL) Build() (*url.URL, error)

Build a url path and query string

func (*PostStartEndURL) BuildFull

func (o *PostStartEndURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostStartEndURL) Must

func (o *PostStartEndURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PostStartEndURL) String

func (o *PostStartEndURL) String() string

String returns the string representation of the path with query string

func (*PostStartEndURL) StringFull

func (o *PostStartEndURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL